Get calendar notifications based on query
http
GET https://services.leadconnectorhq.com/calendars/{calendarId}/notificationsAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
calendarId | string | Yes |
Query parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
isActive | boolean | No | ||
deleted | boolean | No | ||
limit | number | No | Number of records to return | |
skip | number | No | Number of records to skip |
Responses
200 - Successful response
json
[
{
"_id": "string",
"receiverType": "contact",
"additionalEmailIds": [
"example1@email.com",
"example2@email.com"
],
"additionalPhoneNumbers": [
"+919876744444",
"+919876744445"
],
"channel": "email",
"notificationType": "confirmation",
"isActive": true,
"additionalWhatsappNumbers": [
"+919876744444",
"+919876744445"
],
"templateId": "0as9d8as0d",
"body": "This is a test notification",
"subject": "Test Notification",
"afterTime": [
{
"timeOffset": 1,
"unit": "hours"
}
],
"beforeTime": [
{
"timeOffset": 1,
"unit": "hours"
}
],
"selectedUsers": [
"user1",
"user2"
],
"deleted": false
// truncado: 2 lineas mas
]400 - Bad Request
json
{}Example
curl -X GET 'https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);